.c-profile,
.c-project {
    min-height: 44vh;
    max-height: 38vh;
    max-width: -webkit-fill-available;
}

.c-project-date {
    min-height: fit-content;
    max-height: -webkit-fill-available;
    max-width: -webkit-fill-available;
}

.c-profile-project {
    min-height: 30vh;
    max-height: 45vh;
    max-width: -webkit-fill-available;
}

.c-history {
    min-height: 90vh;
    max-height: 90vh;
}

.c-project-detail {
    max-height: 22vh;
    min-height: 22vh;
}

.c-project-detail-modal {
    max-height: 22vh;
    min-height: fit-content;
}

.c-project-member,
.c-project-selftask {
    max-height: -webkit-fill-available;
    min-height: auto;
}

.c-project-subdetail {
    position: absolute;
    top: 32vh;
}

.c-project-subdetail,
.c-project-detail,
.c-project-member,
.c-project-detail-modal,
.c-project-selftask {
    margin-left: 5px;
    margin-right: 5px;
}

.c-profile-project,
.c-profile,
.c-history,
.c-project,
.c-project-date {
    border-radius: 16px;
    margin: 1vh;
    opacity: 0.9;
    transition: $trans-time ease all;
    &:hover {
        opacity: 1;
        transition: $trans-time ease all;
    }
}

.c-project,
.c-project-date {
    border: solid 3px $color-9;
    &:hover {
        border-color: $color-1;
        box-shadow: $shadow;
    }
}

.c-alert {
    position: absolute;
    top: 0.275vh;
}

// sub menubar
.sub-menubar-2 {
    top: 0px;
    left: -48px;
    width: 32px;
    border-radius: 7px;
    min-height: 80px;
    position: absolute;
    border: solid 3px $color-3;
    transition: $trans-time ease all;
    background-color: rgba(255, 255, 255, 0.671);
    &:hover {
        border: solid 3px rgb(255, 255, 255);
        transition: $trans-time ease all;
        background-color: rgb(255, 255, 255);
    }
}

.sub-menubar-3 {
    top: 0px;
    left: -48px;
    width: 32px;
    border-radius: 7px;
    min-height: 120px;
    position: absolute;
    border: solid 3px $color-3;
    transition: $trans-time ease all;
    background-color: rgba(255, 255, 255, 0.671);
    &:hover {
        border: solid 3px rgb(255, 255, 255);
        transition: $trans-time ease all;
        background-color: rgb(255, 255, 255);
    }
}

.projectBlock-back {
    min-height: 200px;
    padding: 5px;
    cursor: pointer;
}

.projectBlock-front {
    border: solid;
    min-height: inherit;
    border-radius: 16px;
    border-color: $color-1;
    background-color: transparent;
    transition: $trans-time ease all;
    &:hover {
        background-color: $color-4;
        transition: $trans-time ease all;
        box-shadow: $shadow;
    }
    &:active {
        background-color: $color-9;
        transition: $trans-time ease all;
        box-shadow: $shadow;
    }
}

.c-project-block {
    min-height: 44vh;
    max-height: 91vh;
    max-width: -webkit-fill-available;
}

.alert-top {
    position: absolute;
    top: 3px;
    width: auto;
}